@charset "utf-8";

.aplayer-volume-wrap { position: relative; cursor: pointer; z-index: 0; }

.aplayer-volume-wrap:hover .aplayer-volume-bar-wrap { display: block; }

.aplayer-volume-wrap .aplayer-volume-bar-wrap { display: none; position: absolute; bottom: 15px; left: -4px; right: -4px; height: 40px; z-index: -1; transition: 0.2s; }

.aplayer-volume-wrap .aplayer-volume-bar-wrap::after { content: ""; position: absolute; bottom: -16px; left: 0px; right: 0px; height: 62px; background-color: rgb(255, 255, 255); box-shadow: rgba(0, 0, 0, 0.07) 0px 0px 2px 0px, rgba(0, 0, 0, 0.1) 0px 0px 5px 0px; }

.aplayer-volume-wrap .aplayer-volume-bar-wrap .aplayer-volume-bar { position: absolute; bottom: 0px; left: 11px; width: 5px; height: 40px; background: rgb(170, 170, 170); border-radius: 2.5px; overflow: hidden; z-index: 1; }

.aplayer-volume-wrap .aplayer-volume-bar-wrap .aplayer-volume-bar .aplayer-volume { position: absolute; bottom: 0px; left: 0px; right: 0px; transition: height 0.1s, background-color 0.3s; will-change: height; }